WDCTL(8)

NUME
wdctl - afișează starea dispozitivelor watchdog

REZUMAT

wdctl [opțiuni] [dispozitiv...]

DESCRIERE

Afișează starea dispozitivelor „watchdog”. Dispozitivul implicit este /dev/watchdog. Dacă sunt specificate mai multe dispozitive, atunci ieșirea este separată de un spațiu în alb.

Dacă dispozitivul este deja utilizat sau dacă utilizatorul nu are permisiuni de citire de pe dispozitiv, atunci wdctl citește datele din sysfs. În acest caz, este posibil să lipsească informațiile despre caracteristicile acceptate (fanioane).

Rețineți că numărul de funcții watchdog acceptate este specific dispozitivului watchdog.

OPȚIUNI

-f, --flags listă
    Afișează numai fanioanele specificate.

-F, --noflags
    Nu afișează informații despre fanioane.

-I, --noident
    Nu afișează informațiile privind identitatea watchdog-ului.

-n, --noheadings
    Nu se imprimă o linie de antet pentru tabelul cu fanioane.

-o, --output listă
    Definește coloanele de ieșire care urmează să fie utilizate în tabelul cu fanioanele watchdog. Dacă nu se specifică niciun aranjament de ieșire, se utilizează un set implicit. Utilizați --help pentru a obține lista tuturor coloanelor acceptate.

-O, --oneline
    Afișează toate informațiile dorite pe o singură linie în formatul de ieșire cheie="valoare".

-p, --setpretimeout secunde
    Stabilește durata de pre-așteptare a watchdog în secunde. O pre-așteptare a watchdog este o notificare generată de watchdog înainte de reinițializarea watchdog, în cazul în care watchdog nu a fost revizuit. Această notificare este gestionată de nucleu și poate fi configurată pentru a lua o acțiune folosind «sysfs» sau prin opțiunea --setpregovernor.

-g, --setpregovernor guvernator
    Stabilește numele guvernatorului de pre-așteptare. Pentru guvernatorii disponibili, consultați ieșirea implicită wdctl.

-r, --raw
    Utilizează formatul de ieșire brut.

-s, --settimeout secunde
    Stabilește timpul de așteptare al watchdog în secunde.

-T, --notimeouts
    Nu afișează timpii de așteptare pentru watchdog.

-x, --flags-only
    La fel ca -I -T.

-h, --help
    Afișează acest mesaj de ajutor și iese.

-V, --version
    Afișează versiunea și iese.

AUTORI

RAPORTAREA ERORILOR

Pentru rapoarte de eroare, folosiți

DISPONIBILITATE

Comanda wdctl face parte din pachetul util-linux care poate fi descărcat de la